LelantosLelantos

Sandboxes

Create, manage, and monitor sandbox environments

List all running sandboxes

GET
/sandboxes
X-API-Key<token>

In: header

Query Parameters

metadata?string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.lelantos.ai/sandboxes"
[
  {
    "workloadType": "compute",
    "runtimeClass": "string",
    "templateID": "string",
    "alias": "string",
    "sandboxID": "string",
    "clientID": "string",
    "startedAt": "2019-08-24T14:15:22Z",
    "endAt": "2019-08-24T14:15:22Z",
    "cpuCount": 1,
    "memoryMB": 128,
    "diskSizeMB": 0,
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "state": "running",
    "envdVersion": "string",
    "volumeMounts": [
      {
        "name": "string",
        "path": "string"
      }
    ]
  }
]
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Create a sandbox

POST
/sandboxes
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes" \  -H "Content-Type: application/json" \  -d '{    "templateID": "string"  }'
{
  "workloadType": "compute",
  "runtimeClass": "string",
  "templateID": "string",
  "sandboxID": "string",
  "alias": "string",
  "clientID": "string",
  "envdVersion": "string",
  "envdAccessToken": "string",
  "trafficAccessToken": "string",
  "domain": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

List sandboxes with pagination

GET
/v2/sandboxes
X-API-Key<token>

In: header

Query Parameters

metadata?string
state?array<>
nextToken?string

Cursor for pagination. Use the value from the X-Next-Token response header.

limit?integer
Default100
Formatint32
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://api.lelantos.ai/v2/sandboxes"
[
  {
    "workloadType": "compute",
    "runtimeClass": "string",
    "templateID": "string",
    "alias": "string",
    "sandboxID": "string",
    "clientID": "string",
    "startedAt": "2019-08-24T14:15:22Z",
    "endAt": "2019-08-24T14:15:22Z",
    "cpuCount": 1,
    "memoryMB": 128,
    "diskSizeMB": 0,
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "state": "running",
    "envdVersion": "string",
    "volumeMounts": [
      {
        "name": "string",
        "path": "string"
      }
    ]
  }
]
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Get sandbox detail

GET
/sandboxes/{sandboxID}
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.lelantos.ai/sandboxes/string"
{
  "workloadType": "compute",
  "runtimeClass": "string",
  "templateID": "string",
  "alias": "string",
  "sandboxID": "string",
  "clientID": "string",
  "startedAt": "2019-08-24T14:15:22Z",
  "endAt": "2019-08-24T14:15:22Z",
  "envdVersion": "string",
  "envdAccessToken": "string",
  "domain": "string",
  "cpuCount": 1,
  "memoryMB": 128,
  "diskSizeMB": 0,
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "state": "running",
  "volumeMounts": [
    {
      "name": "string",
      "path": "string"
    }
  ]
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Kill a sandbox

DELETE
/sandboxes/{sandboxID}
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.lelantos.ai/sandboxes/string"
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Set sandbox timeout

POST
/sandboxes/{sandboxID}/timeout
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/timeout" \  -H "Content-Type: application/json" \  -d '{    "timeout": 86400  }'
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Refresh sandbox TTL

POST
/sandboxes/{sandboxID}/refreshes
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/refreshes" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Pause a sandbox

POST
/sandboxes/{sandboxID}/pause
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Response Body

application/json

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/pause"
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Resume a sandbox

POST
/sandboxes/{sandboxID}/resume
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/resume" \  -H "Content-Type: application/json" \  -d '{}'
{
  "workloadType": "compute",
  "runtimeClass": "string",
  "templateID": "string",
  "sandboxID": "string",
  "alias": "string",
  "clientID": "string",
  "envdVersion": "string",
  "envdAccessToken": "string",
  "trafficAccessToken": "string",
  "domain": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Connect to a sandbox

POST
/sandboxes/{sandboxID}/connect
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/connect" \  -H "Content-Type: application/json" \  -d '{    "timeout": 86400  }'
{
  "workloadType": "compute",
  "runtimeClass": "string",
  "templateID": "string",
  "sandboxID": "string",
  "alias": "string",
  "clientID": "string",
  "envdVersion": "string",
  "envdAccessToken": "string",
  "trafficAccessToken": "string",
  "domain": "string"
}
{
  "workloadType": "compute",
  "runtimeClass": "string",
  "templateID": "string",
  "sandboxID": "string",
  "alias": "string",
  "clientID": "string",
  "envdVersion": "string",
  "envdAccessToken": "string",
  "trafficAccessToken": "string",
  "domain": "string"
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Get sandbox logs

GET
/sandboxes/{sandboxID}/logs
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Query Parameters

start?integer
Formatint64
limit?integer
Default1000
Formatint32

Response Body

application/json

application/json

application/json

curl -X GET "https://api.lelantos.ai/sandboxes/string/logs"
{
  "logs": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "line": "string"
    }
  ]
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

Get sandbox metrics

GET
/sandboxes/{sandboxID}/metrics
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.lelantos.ai/sandboxes/string/metrics"
[
  {
    "timestamp": "2019-08-24T14:15:22Z",
    "cpuCount": 0,
    "cpuUsedPct": 0.1,
    "memUsed": 0,
    "memTotal": 0,
    "diskUsed": 0,
    "diskTotal": 0
  }
]
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}